Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PortletManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PortletManagerBean

    public class PortletManagerBean

extends java.lang.Object

Version:
  $Revision: 10935 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Constructor Summary
`PortletManagerBean()`

Method Summary
`AuthorizationDomainRegistry` | `getAuthorizationDomainRegistry()`
`DomainConfigurator` | `getDomainConfigurator()`
`FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`InstanceContainer` | `getInstanceContainer()`
`int` | `getPaginationSize()`
`int` | `getPortletCount()`
`java.util.Collection` | `getPortletInvokerItems()`
`RoleModule` | `getRoleModule()`
`int` | `getSelectedFrom()`
`java.lang.String` | `getSelectedPlugin()`
`Portlet` | `getSelectedPortlet()`
`java.lang.String` | `getSelectedPortletInvokerId()`
`java.util.Collection` | `getSelectedPortlets()`
`PreferencesBean` | `getSelectedPreferences()`
`void` | `refresh()` Refresh the selected prefs if they are available.
`void` | `selectFrom()`
`java.lang.String` | `selectPortlet()`
`void` | `setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)`
`void` | `setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setPaginationSize(int paginationSize)`
`void` | `setRoleModule(RoleModule roleModule)`
`void` | `setSelectedFrom(int selectedFrom)`
`void` | `setSelectedPlugin(java.lang.String selectedPlugin)`
`void` | `setSelectedPortletInvokerId(java.lang.String selectedPortletInvokerId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletManagerBean

    public PortletManagerBean()

Method Detail

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getAuthorizationDomainRegistry

    public AuthorizationDomainRegistry getAuthorizationDomainRegistry()

### setAuthorizationDomainRegistry

    public void setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)

### getRoleModule

    public RoleModule getRoleModule()

### setRoleModule

    public void setRoleModule(RoleModule roleModule)

### getFederatingPortletInvoker

    public FederatingPortletInvoker getFederatingPortletInvoker()

### setFederatingPortletInvoker

    public void setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)

### getPaginationSize

    public int getPaginationSize()

### setPaginationSize

    public void setPaginationSize(int paginationSize)

### getSelectedFrom

    public int getSelectedFrom()

### setSelectedFrom

    public void setSelectedFrom(int selectedFrom)

### getSelectedPlugin

    public java.lang.String getSelectedPlugin()

### setSelectedPlugin

    public void setSelectedPlugin(java.lang.String selectedPlugin)

### getSelectedPortletInvokerId

    public java.lang.String getSelectedPortletInvokerId()

### setSelectedPortletInvokerId

    public void setSelectedPortletInvokerId(java.lang.String selectedPortletInvokerId)

### getPortletInvokerItems

    public java.util.Collection getPortletInvokerItems()

### getSelectedPreferences

    public PreferencesBean getSelectedPreferences()

### getSelectedPortlets

    public java.util.Collection getSelectedPortlets()

### getPortletCount

    public int getPortletCount()

### getDomainConfigurator

    public DomainConfigurator getDomainConfigurator()

### getSelectedPortlet

    public Portlet getSelectedPortlet()

### selectPortlet

    public java.lang.String selectPortlet()

### selectFrom

    public void selectFrom()

### refresh

    public void refresh()

  Refresh the selected prefs if they are available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD